Lists the files attached to a project (cursor-paged, newest first). Spans the project's rooms, prospect offers, and project notes.
Path Parameters
- Type: stringidrequired
Project ID
Query Parameters
- Type: integer | stringpage
_size Pattern: ^-?(?:0|[1-9]\d*)$Format: int32Number of files per page (1-500, default 500)
- Type: stringcursor
Opaque cursor token from a previous response for pagination
Responses
- application/json
- application/problem+json
- application/problem+json
- application/problem+json
- application/problem+json
Request Example for get/api/v1/projects/{id}/files
curl 'https://app.propstreet.com/api/v1/projects/{id}/files?page_size=1&cursor=' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"data": [
{
"id": "string",
"fileName": "string",
"contentType": "string",
"contentLength": 1,
"uploadedUtc": "2026-06-18T07:20:59.173Z",
"url": "string",
"uploadedBy": {
"id": "string",
"name": "string"
},
"source": {
"kind": "string",
"refId": null,
"label": null,
"projectId": null,
"projectName": null
}
}
],
"page": {
"nextCursor": null,
"pageSize": 1,
"hasMore": true
}
}